geode-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From prhomb...@apache.org
Subject [geode] branch develop updated: GEODE-6105: convert geode-old-versions to xyzTestRuntime dependency (#2917)
Date Thu, 29 Nov 2018 20:00:45 GMT
This is an automated email from the ASF dual-hosted git repository.

prhomberg pushed a commit to branch develop
in repository https://gitbox.apache.org/repos/asf/geode.git


The following commit(s) were added to refs/heads/develop by this push:
     new 4bc1e65  GEODE-6105: convert geode-old-versions to xyzTestRuntime dependency (#2917)
4bc1e65 is described below

commit 4bc1e6545f18d98b34c80d676f754493122cb2a5
Author: Robert Houghton <rhoughton@pivotal.io>
AuthorDate: Thu Nov 29 12:00:35 2018 -0800

    GEODE-6105: convert geode-old-versions to xyzTestRuntime dependency (#2917)
    
    Old versions are only used by tests, not any production runtime. Do not
    publish to Maven that we need it for all runtime. Mark the modules that
    need old-versions for testing appropriately.
    
    Authored-by: Robert Houghton <rhoughton@pivotal.io>
---
 geode-assembly/build.gradle                     | 7 ++++++-
 geode-core/build.gradle                         | 4 ++++
 geode-cq/build.gradle                           | 2 ++
 geode-dunit/build.gradle                        | 3 +++
 geode-junit/build.gradle                        | 2 +-
 geode-junit/src/test/resources/expected-pom.xml | 6 ------
 geode-lucene/build.gradle                       | 2 ++
 geode-wan/build.gradle                          | 1 +
 gradle/publish.gradle                           | 3 +--
 9 files changed, 20 insertions(+), 10 deletions(-)

diff --git a/geode-assembly/build.gradle b/geode-assembly/build.gradle
index c5e2901..7b27c3b 100755
--- a/geode-assembly/build.gradle
+++ b/geode-assembly/build.gradle
@@ -147,6 +147,10 @@ dependencies {
   testCompile(project(':geode-junit')) {
     exclude module: 'geode-core'
   }
+  testRuntime(project(':geode-old-versions'))
+  
+
+  acceptanceTestRuntime(project(':geode-old-versions'))
 
 
   integrationTestCompile(project(':geode-core'))
@@ -203,9 +207,10 @@ dependencies {
   }
   upgradeTestCompile(project(':geode-assembly:geode-assembly-test'))
 
+  upgradeTestRuntime(project(':geode-old-versions'))
+  upgradeTestRuntime(project(':extensions:session-testing-war'))
   upgradeTestRuntime(group: 'org.codehaus.cargo', name: 'cargo-core-uberjar', version: '1.6.3')
   upgradeTestRuntime('org.apache.httpcomponents:httpclient:' + project.'httpclient.version')
-  upgradeTestRuntime(project(':extensions:session-testing-war'))
   upgradeTestRuntime files({ downloadWebServers } )
 
   //Web servers used for session module testing
diff --git a/geode-core/build.gradle b/geode-core/build.gradle
index 605fbb4..ac8d307 100755
--- a/geode-core/build.gradle
+++ b/geode-core/build.gradle
@@ -314,6 +314,7 @@ dependencies {
   distributedTestCompile('pl.pragmatists:JUnitParams:' + project.'JUnitParams.version')
   distributedTestCompile('com.jayway.jsonpath:json-path-assert:' + project.'json-path-assert.version')
 
+  distributedTestRuntime(project(':geode-old-versions'))
   distributedTestRuntime('org.apache.derby:derby:' + project.'derby.version')
 
 
@@ -321,6 +322,9 @@ dependencies {
     exclude module: 'geode-core'
   }
 
+  upgradeTestRuntime(project(':geode-old-versions'))
+
+
   performanceTestCompile(project(':geode-junit')) {
     exclude module: 'geode-core'
   }
diff --git a/geode-cq/build.gradle b/geode-cq/build.gradle
index 582796c..60b59a1 100644
--- a/geode-cq/build.gradle
+++ b/geode-cq/build.gradle
@@ -57,4 +57,6 @@ dependencies {
   upgradeTestCompile('junit:junit:' + project.'junit.version')
   upgradeTestCompile('org.awaitility:awaitility:' + project.'awaitility.version')
   upgradeTestCompile('org.mockito:mockito-core:' + project.'mockito-core.version')
+
+  upgradeTestRuntime(project(':geode-old-versions'))
 }
diff --git a/geode-dunit/build.gradle b/geode-dunit/build.gradle
index da27ef5..33a2448 100755
--- a/geode-dunit/build.gradle
+++ b/geode-dunit/build.gradle
@@ -50,6 +50,9 @@ dependencies {
   compile('junit:junit:' + project.'junit.version') {
     exclude module: 'hamcrest-core'
   }
+
+
+  distributedTestRuntime(project(':geode-old-versions'))
 }
 
 distributedTest {
diff --git a/geode-junit/build.gradle b/geode-junit/build.gradle
index 9c72764..d6101e3 100755
--- a/geode-junit/build.gradle
+++ b/geode-junit/build.gradle
@@ -42,7 +42,7 @@ dependencies {
 
   testCompile('pl.pragmatists:JUnitParams:' + project.'JUnitParams.version')
 
-  runtimeOnly(project(':geode-old-versions'))
+  testRuntime(project(':geode-old-versions'))
 }
 
 test {
diff --git a/geode-junit/src/test/resources/expected-pom.xml b/geode-junit/src/test/resources/expected-pom.xml
index 2912faf..443bd2e 100644
--- a/geode-junit/src/test/resources/expected-pom.xml
+++ b/geode-junit/src/test/resources/expected-pom.xml
@@ -137,11 +137,5 @@
       <version>1.60</version>
       <scope>compile</scope>
     </dependency>
-    <dependency>
-      <groupId>org.apache.geode</groupId>
-      <artifactId>geode-old-versions</artifactId>
-      <version>1.9.0-SNAPSHOT</version>
-      <scope>runtime</scope>
-    </dependency>
   </dependencies>
 </project>
diff --git a/geode-lucene/build.gradle b/geode-lucene/build.gradle
index 56f6606..3e29382 100644
--- a/geode-lucene/build.gradle
+++ b/geode-lucene/build.gradle
@@ -84,6 +84,8 @@ dependencies {
     exclude module: 'geode-core'
   }
 
+  upgradeTestRuntime(project(':geode-old-versions'))
+
 
   performanceTestCompile(project(':geode-junit')) {
     exclude module: 'geode-core'
diff --git a/geode-wan/build.gradle b/geode-wan/build.gradle
index 8c1905b..16b253d 100644
--- a/geode-wan/build.gradle
+++ b/geode-wan/build.gradle
@@ -30,5 +30,6 @@ dependencies {
   upgradeTestCompile(project(':geode-dunit')) {
     exclude module: 'geode-core'
   }
+  upgradeTestRuntime(project(':geode-old-versions'))
   distributedTestCompile('pl.pragmatists:JUnitParams:' + project.'JUnitParams.version')
 }
diff --git a/gradle/publish.gradle b/gradle/publish.gradle
index debde74..2e8ea54 100644
--- a/gradle/publish.gradle
+++ b/gradle/publish.gradle
@@ -187,7 +187,6 @@ subprojects {
         }
       }
     }
-
   }
   check.dependsOn('checkPom')
 
@@ -200,9 +199,9 @@ subprojects {
       from actualPomFile
       into expectedPomDir
       rename '.*.xml', "expected-pom.xml"
-
     }
   }
+  checkPom.mustRunAfter(updateExpectedPom)
 } // subprojects
 
 


Mime
View raw message